org.gcube.dataanalysis.dataminer.poolmanager.ansible.model

## Class RoleFile

- java.lang.Object
- - org.gcube.dataanalysis.dataminer.poolmanager.ansible.model.RoleFile

    public class RoleFile
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`RoleFile()`
`RoleFile(String name, String content)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getContent()`
`String` `getName()`
`String` `getPath()`
`void` `setContent(String content)`
`void` `setName(String name)`
`void` `setPath(String path)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RoleFile

    public RoleFile()

#### RoleFile

    public RoleFile(String name,
                    String content)

### Method Detail

#### getName

    public String getName()

#### setName

    public void setName(String name)

#### getContent

    public String getContent()

#### setContent

    public void setContent(String content)

#### getPath

    public String getPath()

#### setPath

    public void setPath(String path)